#include <stdint.h>
#include "byteorder.h"

uint16_t letohs(uint16_t val)
{
	uint16_t hostval;
	int i;

	for (i = 0; i < sizeof val; i++)
		((uint8_t *)&hostval)[i] = ((uint8_t *)&val)[sizeof val - i];
}

uint32_t letohl(uint32_t val)
{
	uint32_t hostval;
	int i;

	for (i = 0; i < sizeof val; i++)
		((uint8_t *)&hostval)[i] = ((uint8_t *)&val)[sizeof val - i];
}
